Cipher (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net.openssl.ciphers, enum: Cipher

# Enum Cipher

java.lang.Object
java.lang.Enum<Cipher>
org.apache.tomcat.util.net.openssl.ciphers.Cipher

All Implemented Interfaces:
  `Serializable, Comparable<Cipher>, java.lang.constant.Constable`

public enum Cipher extends Enum<Cipher>
All the standard cipher suites for SSL/TSL.

See Also:
  - OpenSSL cipher definitions
  - The cipher suite registry
  - Another list of cipher suites with some non-standard IDs
  - Oracle standard names for cipher suites
  - Mapping of OpenSSL cipher suites names to registry names
  - SSL Labs tool - list of ciphers
  - OpenJDK source code

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SSL_CK_RC2_128_CBC_EXPORT40_WITH_MD5`
  Cipher 0x040080 (SSLv2)
  `SSL_CK_RC2_128_CBC_WITH_MD5`
  Cipher 0x030080 (SSLv2)
  `SSL_CK_RC4_128_WITH_MD5`
  Cipher 0x010080 (SSLv2)
  `SSL2_DES_192_EDE3_CBC_WITH_MD5`
  Cipher 0x0700C0 (SSLv2)
  `SSL2_DES_64_CBC_WITH_MD5`
  Cipher 0x060040 (SSLv2)
  `SSL2_IDEA_128_CBC_WITH_MD5`
  Cipher 0x050080 (SSLv2)
  `SSL2_RC4_128_EXPORT40_WITH_MD5`
  Cipher 0x020080 (SSLv2)
  `TLS_AES_128_CCM_8_SHA256`
  Cipher 1305
  `TLS_AES_128_CCM_SHA256`
  Cipher 1304
  `TLS_AES_128_GCM_SHA256`
  Cipher 1301
  `TLS_AES_256_GCM_SHA384`
  Cipher 1302
  `TLS_CHACHA20_POLY1305_SHA256`
  Cipher 1303
  `TLS_DH_anon_EXPORT_WITH_DES40_CBC_SHA`
  Cipher 19
  `TLS_DH_anon_EXPORT_WITH_RC4_40_MD5`
  Cipher 17
  `TLS_DH_anon_WITH_3DES_EDE_CBC_SHA`
  Cipher 1B
  `TLS_DH_anon_WITH_AES_128_CBC_SHA`
  Cipher 34
  `TLS_DH_anon_WITH_AES_128_CBC_SHA256`
  Cipher 6C
  `TLS_DH_anon_WITH_AES_128_GCM_SHA256`
  Cipher A6
  `TLS_DH_anon_WITH_AES_256_CBC_SHA`
  Cipher 3A
  `TLS_DH_anon_WITH_AES_256_CBC_SHA256`
  Cipher 6D
  `TLS_DH_anon_WITH_AES_256_GCM_SHA384`
  Cipher A7
  `TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA`
  Cipher 46
  `TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher BF
  `TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA`
  Cipher 89
  `TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA256`
  Cipher C5
  `TLS_DH_anon_WITH_DES_CBC_SHA`
  Cipher 1A
  `TLS_DH_anon_WITH_RC4_128_MD5`
  Cipher 18
  `TLS_DH_anon_WITH_SEED_CBC_SHA`
  Cipher 9B
  `TLS_DH_DSS_EXPORT_WITH_DES40_CBC_SHA`
  Cipher 0B
  `TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA`
  Cipher 0D
  `TLS_DH_DSS_WITH_AES_128_CBC_SHA`
  Cipher 30
  `TLS_DH_DSS_WITH_AES_128_CBC_SHA256`
  Cipher 3E
  `TLS_DH_DSS_WITH_AES_128_GCM_SHA256`
  Cipher A4
  `TLS_DH_DSS_WITH_AES_256_CBC_SHA`
  Cipher 36
  `TLS_DH_DSS_WITH_AES_256_CBC_SHA256`
  Cipher 68
  `TLS_DH_DSS_WITH_AES_256_GCM_SHA384`
  Cipher A5
  `TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA`
  Cipher 42
  `TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher BB
  `TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA`
  Cipher 85
  `TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA256`
  Cipher C1
  `TLS_DH_DSS_WITH_DES_CBC_SHA`
  Cipher 0C
  `TLS_DH_DSS_WITH_SEED_CBC_SHA`
  Cipher 97
  `TLS_DH_RSA_EXPORT_WITH_DES40_CBC_SHA`
  Cipher 0E
  `TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA`
  Cipher 10
  `TLS_DH_RSA_WITH_AES_128_CBC_SHA`
  Cipher 31
  `TLS_DH_RSA_WITH_AES_128_CBC_SHA256`
  Cipher 3F
  `TLS_DH_RSA_WITH_AES_128_GCM_SHA256`
  Cipher A0
  `TLS_DH_RSA_WITH_AES_256_CBC_SHA`
  Cipher 37
  `TLS_DH_RSA_WITH_AES_256_CBC_SHA256`
  Cipher 69
  `TLS_DH_RSA_WITH_AES_256_GCM_SHA384`
  Cipher A1
  `TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA`
  Cipher 43
  `TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher BC
  `TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA`
  Cipher 86
  `TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA256`
  Cipher C2
  `TLS_DH_RSA_WITH_DES_CBC_SHA`
  Cipher 0F
  `TLS_DH_RSA_WITH_SEED_CBC_SHA`
  Cipher 98
  `TLS_DHE_DSS_EXPORT_WITH_DES40_CBC_SHA`
  Cipher 11
  `TLS_DHE_DSS_EXPORT1024_WITH_DES_CBC_SHA`
  Cipher 63
  `TLS_DHE_DSS_EXPORT1024_WITH_RC4_56_SHA`
  Cipher 65
  `TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA`
  Cipher 13
  `TLS_DHE_DSS_WITH_AES_128_CBC_SHA`
  Cipher 32
  `TLS_DHE_DSS_WITH_AES_128_CBC_SHA256`
  Cipher 40
  `TLS_DHE_DSS_WITH_AES_128_GCM_SHA256`
  Cipher A2
  `TLS_DHE_DSS_WITH_AES_256_CBC_SHA`
  Cipher 38
  `TLS_DHE_DSS_WITH_AES_256_CBC_SHA256`
  Cipher 6A
  `TLS_DHE_DSS_WITH_AES_256_GCM_SHA384`
  Cipher A3
  `TLS_DHE_DSS_WITH_ARIA_128_GCM_SHA256`
  ARIA cipher suite
  `TLS_DHE_DSS_WITH_ARIA_256_GCM_SHA384`
  ARIA cipher suite
  `TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA`
  Cipher 44
  `TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher BD
  `TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA`
  Cipher 87
  `TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA256`
  Cipher C3
  `TLS_DHE_DSS_WITH_DES_CBC_SHA`
  Cipher 12
  `TLS_DHE_DSS_WITH_RC4_128_SHA`
  Cipher 66
  `TLS_DHE_DSS_WITH_SEED_CBC_SHA`
  Cipher 99
  `TLS_DHE_PSK_WITH_3DES_EDE_CBC_SHA`
  Cipher 8F
  `TLS_DHE_PSK_WITH_AES_128_CBC_SHA`
  Cipher 90
  `TLS_DHE_PSK_WITH_AES_128_CBC_SHA256`
  Cipher B2
  `TLS_DHE_PSK_WITH_AES_128_CCM`
  Cipher C0A6
  `TLS_DHE_PSK_WITH_AES_128_GCM_SHA256`
  Cipher AA
  `TLS_DHE_PSK_WITH_AES_256_CBC_SHA`
  Cipher 91
  `TLS_DHE_PSK_WITH_AES_256_CBC_SHA384`
  Cipher B3
  `TLS_DHE_PSK_WITH_AES_256_CCM`
  Cipher C0A7
  `TLS_DHE_PSK_WITH_AES_256_GCM_SHA384`
  Cipher AB
  `TLS_DHE_PSK_WITH_ARIA_128_GCM_SHA256`
  ARIA cipher suite
  `TLS_DHE_PSK_WITH_ARIA_256_GCM_SHA384`
  ARIA cipher suite
  `TLS_DHE_PSK_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher C096
  `TLS_DHE_PSK_WITH_CAMELLIA_256_CBC_SHA384`
  Cipher C097
  `TLS_DHE_PSK_WITH_CHACHA20_POLY1305_SHA256`
  ChaCha20-Poly1305 cipher suite
  `TLS_DHE_PSK_WITH_NULL_SHA`
  Cipher 2D
  `TLS_DHE_PSK_WITH_NULL_SHA256`
  Cipher B4
  `TLS_DHE_PSK_WITH_NULL_SHA384`
  Cipher B5
  `TLS_DHE_PSK_WITH_RC4_128_SHA`
  Cipher 8E
  `TLS_DHE_RSA_EXPORT_WITH_DES40_CBC_SHA`
  Cipher 14
  `TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA`
  Cipher 16
  `TLS_DHE_RSA_WITH_AES_128_CBC_SHA`
  Cipher 33
  `TLS_DHE_RSA_WITH_AES_128_CBC_SHA256`
  Cipher 67
  `TLS_DHE_RSA_WITH_AES_128_CCM`
  Cipher C09E
  `TLS_DHE_RSA_WITH_AES_128_CCM_8`
  Cipher C0A2
  `TLS_DHE_RSA_WITH_AES_128_GCM_SHA256`
  Cipher 9E
  `TLS_DHE_RSA_WITH_AES_256_CBC_SHA`
  Cipher 39
  `TLS_DHE_RSA_WITH_AES_256_CBC_SHA256`
  Cipher 6B
  `TLS_DHE_RSA_WITH_AES_256_CCM`
  Cipher C09F
  `TLS_DHE_RSA_WITH_AES_256_CCM_8`
  Cipher C0A3
  `TLS_DHE_RSA_WITH_AES_256_GCM_SHA384`
  Cipher 9F
  `TLS_DHE_RSA_WITH_ARIA_128_GCM_SHA256`
  ARIA cipher suite
  `TLS_DHE_RSA_WITH_ARIA_256_GCM_SHA384`
  ARIA cipher suite
  `TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA`
  Cipher 45
  `TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher BE
  `TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA`
  Cipher 88
  `TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA256`
  Cipher C4
  `TLS_DHE_RSA_WITH_CHACHA20_POLY1305_SHA256`
  ChaCha20-Poly1305 cipher suite
  `TLS_DHE_RSA_WITH_DES_CBC_SHA`
  Cipher 15
  `TLS_DHE_RSA_WITH_SEED_CBC_SHA`
  Cipher 9A
  `TLS_ECDH_anon_WITH_3DES_EDE_CBC_SHA`
  Cipher C017
  `TLS_ECDH_anon_WITH_AES_128_CBC_SHA`
  Cipher C018
  `TLS_ECDH_anon_WITH_AES_256_CBC_SHA`
  Cipher C019
  `TLS_ECDH_anon_WITH_NULL_SHA`
  Cipher C015
  `TLS_ECDH_anon_WITH_RC4_128_SHA`
  Cipher C016
  `TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA`
  Cipher C003
  `TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA`
  Cipher C004
  `TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256`
  Cipher C025
  `TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256`
  Cipher C02D
  `TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA`
  Cipher C005
  `TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384`
  Cipher C026
  `TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384`
  Cipher C02E
  `TLS_ECDH_ECDSA_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher C074
  `TLS_ECDH_ECDSA_WITH_CAMELLIA_256_CBC_SHA384`
  Cipher C075
  `TLS_ECDH_ECDSA_WITH_NULL_SHA`
  Cipher C001
  `TLS_ECDH_ECDSA_WITH_RC4_128_SHA`
  Cipher C002
  `TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA`
  Cipher C00D
  `TLS_ECDH_RSA_WITH_AES_128_CBC_SHA`
  Cipher C00E
  `TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256`
  Cipher C029
  `TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256`
  Cipher C031
  `TLS_ECDH_RSA_WITH_AES_256_CBC_SHA`
  Cipher C00F
  `TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384`
  Cipher C02A
  `TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384`
  Cipher C032
  `TLS_ECDH_RSA_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher C078
  `TLS_ECDH_RSA_WITH_CAMELLIA_256_CBC_SHA384`
  Cipher C079
  `TLS_ECDH_RSA_WITH_NULL_SHA`
  Cipher C00B
  `TLS_ECDH_RSA_WITH_RC4_128_SHA`
  Cipher C00C
  `TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA`
  Cipher C008
  `TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA`
  Cipher C009
  `TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256`
  Cipher C023
  `TLS_ECDHE_ECDSA_WITH_AES_128_CCM`
  Cipher C0AC
  `TLS_ECDHE_ECDSA_WITH_AES_128_CCM_8`
  Cipher C0AE
  `TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256`
  Cipher C02B
  `TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA`
  Cipher C00A
  `TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384`
  Cipher C024
  `TLS_ECDHE_ECDSA_WITH_AES_256_CCM`
  Cipher C0AD
  `TLS_ECDHE_ECDSA_WITH_AES_256_CCM_8`
  Cipher C0AF
  `TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384`
  Cipher C02C
  `TLS_ECDHE_ECDSA_WITH_ARIA_128_GCM_SHA256`
  ARIA cipher suite
  `TLS_ECDHE_ECDSA_WITH_ARIA_256_GCM_SHA384`
  ARIA cipher suite
  `TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher C072
  `TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_CBC_SHA384`
  Cipher C073
  `TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256`
  ChaCha20-Poly1305 cipher suite
  `TLS_ECDHE_ECDSA_WITH_NULL_SHA`
  Cipher C006
  `TLS_ECDHE_ECDSA_WITH_RC4_128_SHA`
  Cipher C007
  `TLS_ECDHE_PSK_WITH_3DES_EDE_CBC_SHA`
  Cipher C034
  `TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA`
  Cipher C035
  `TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA256`
  Cipher suite
  `TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA`
  Cipher C036
  `TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA384`
  Cipher suite
  `TLS_ECDHE_PSK_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher C09A
  `TLS_ECDHE_PSK_WITH_CAMELLIA_256_CBC_SHA384`
  Cipher C09B
  `TLS_ECDHE_PSK_WITH_CHACHA20_POLY1305_SHA256`
  ChaCha20-Poly1305 cipher suite
  `TLS_ECDHE_PSK_WITH_NULL_SHA`
  Cipher suite
  `TLS_ECDHE_PSK_WITH_NULL_SHA256`
  Cipher suite
  `TLS_ECDHE_PSK_WITH_NULL_SHA384`
  Cipher suite
  `TLS_ECDHE_PSK_WITH_RC4_128_SHA`
  Cipher C033
  `TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA`
  Cipher C012
  `TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA`
  Cipher C013
  `TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256`
  Cipher C027
  `TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256`
  Cipher C02F
  `TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA`
  Cipher C014
  `TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384`
  Cipher C028
  `TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384`
  Cipher C030
  `TLS_ECDHE_RSA_WITH_ARIA_128_GCM_SHA256`
  ARIA cipher suite
  `TLS_ECDHE_RSA_WITH_ARIA_256_GCM_SHA384`
  ARIA cipher suite
  `TLS_ECDHE_RSA_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher C076
  `TLS_ECDHE_RSA_WITH_CAMELLIA_256_CBC_SHA384`
  Cipher C077
  `TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256`
  Draft: https://tools.ietf.org/html/draft-ietf-tls-chacha20-poly1305-04
  `TLS_ECDHE_RSA_WITH_NULL_SHA`
  Cipher C010
  `TLS_ECDHE_RSA_WITH_RC4_128_SHA`
  Cipher C011
  `TLS_PSK_DHE_WITH_AES_128_CCM_8`
  Cipher C0AA
  `TLS_PSK_DHE_WITH_AES_256_CCM_8`
  Cipher C0AB
  `TLS_PSK_WITH_3DES_EDE_CBC_SHA`
  Cipher 8B
  `TLS_PSK_WITH_AES_128_CBC_SHA`
  Cipher 8C
  `TLS_PSK_WITH_AES_128_CBC_SHA256`
  Cipher AE
  `TLS_PSK_WITH_AES_128_CCM`
  Cipher C0A4
  `TLS_PSK_WITH_AES_128_CCM_8`
  Cipher C0A8
  `TLS_PSK_WITH_AES_128_GCM_SHA256`
  Cipher A8
  `TLS_PSK_WITH_AES_256_CBC_SHA`
  Cipher 8D
  `TLS_PSK_WITH_AES_256_CBC_SHA384`
  Cipher AF
  `TLS_PSK_WITH_AES_256_CCM`
  Cipher C0A5
  `TLS_PSK_WITH_AES_256_CCM_8`
  Cipher C0A9
  `TLS_PSK_WITH_AES_256_GCM_SHA384`
  Cipher A9
  `TLS_PSK_WITH_ARIA_128_GCM_SHA256`
  ARIA cipher suite
  `TLS_PSK_WITH_ARIA_256_GCM_SHA384`
  ARIA cipher suite
  `TLS_PSK_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher C094
  `TLS_PSK_WITH_CAMELLIA_256_CBC_SHA384`
  Cipher C095
  `TLS_PSK_WITH_CHACHA20_POLY1305_SHA256`
  ChaCha20-Poly1305 cipher suite
  `TLS_PSK_WITH_NULL_SHA`
  Cipher 2C
  `TLS_PSK_WITH_NULL_SHA256`
  Cipher B0
  `TLS_PSK_WITH_NULL_SHA384`
  Cipher B1
  `TLS_PSK_WITH_RC4_128_SHA`
  Cipher 8A
  `TLS_RSA_EXPORT_WITH_DES40_CBC_SHA`
  Cipher 08
  `TLS_RSA_EXPORT_WITH_RC2_CBC_40_MD5`
  Cipher 06
  `TLS_RSA_EXPORT_WITH_RC4_40_MD5`
  Cipher 03
  `TLS_RSA_EXPORT1024_WITH_DES_CBC_SHA`
  Cipher 62
  `TLS_RSA_EXPORT1024_WITH_RC2_CBC_56_MD5`
  Cipher 61
  `TLS_RSA_EXPORT1024_WITH_RC4_56_MD5`
  Cipher 60
  `TLS_RSA_EXPORT1024_WITH_RC4_56_SHA`
  Cipher 64
  `TLS_RSA_PSK_WITH_3DES_EDE_CBC_SHA`
  Cipher 93
  `TLS_RSA_PSK_WITH_AES_128_CBC_SHA`
  Cipher 94
  `TLS_RSA_PSK_WITH_AES_128_CBC_SHA256`
  Cipher B6
  `TLS_RSA_PSK_WITH_AES_128_GCM_SHA256`
  Cipher AC
  `TLS_RSA_PSK_WITH_AES_256_CBC_SHA`
  Cipher 95
  `TLS_RSA_PSK_WITH_AES_256_CBC_SHA384`
  Cipher B7
  `TLS_RSA_PSK_WITH_AES_256_GCM_SHA384`
  Cipher AD
  `TLS_RSA_PSK_WITH_ARIA_128_GCM_SHA256`
  ARIA cipher suite
  `TLS_RSA_PSK_WITH_ARIA_256_GCM_SHA384`
  ARIA cipher suite
  `TLS_RSA_PSK_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher C098
  `TLS_RSA_PSK_WITH_CAMELLIA_256_CBC_SHA384`
  Cipher C099
  `TLS_RSA_PSK_WITH_CHACHA20_POLY1305_SHA256`
  ChaCha20-Poly1305 cipher suite
  `TLS_RSA_PSK_WITH_NULL_SHA`
  Cipher 2E
  `TLS_RSA_PSK_WITH_NULL_SHA256`
  Cipher B8
  `TLS_RSA_PSK_WITH_NULL_SHA384`
  Cipher B9
  `TLS_RSA_PSK_WITH_RC4_128_SHA`
  Cipher 92
  `TLS_RSA_WITH_3DES_EDE_CBC_SHA`
  Cipher 0A
  `TLS_RSA_WITH_AES_128_CBC_SHA`
  Cipher 2F
  `TLS_RSA_WITH_AES_128_CBC_SHA256`
  Cipher 3C
  `TLS_RSA_WITH_AES_128_CCM`
  Cipher C09C
  `TLS_RSA_WITH_AES_128_CCM_8`
  Cipher C0A0
  `TLS_RSA_WITH_AES_128_GCM_SHA256`
  Cipher 9C
  `TLS_RSA_WITH_AES_256_CBC_SHA`
  Cipher 35
  `TLS_RSA_WITH_AES_256_CBC_SHA256`
  Cipher 3D
  `TLS_RSA_WITH_AES_256_CCM`
  Cipher C09D
  `TLS_RSA_WITH_AES_256_CCM_8`
  Cipher C0A1
  `TLS_RSA_WITH_AES_256_GCM_SHA384`
  Cipher 9D
  `TLS_RSA_WITH_ARIA_128_GCM_SHA256`
  ARIA cipher suite
  `TLS_RSA_WITH_ARIA_256_GCM_SHA384`
  ARIA cipher suite
  `TLS_RSA_WITH_CAMELLIA_128_CBC_SHA`
  Cipher 41
  `TLS_RSA_WITH_CAMELLIA_128_CBC_SHA256`
  Cipher BA
  `TLS_RSA_WITH_CAMELLIA_256_CBC_SHA`
  Cipher 84
  `TLS_RSA_WITH_CAMELLIA_256_CBC_SHA256`
  Cipher C0
  `TLS_RSA_WITH_DES_CBC_SHA`
  Cipher 09
  `TLS_RSA_WITH_IDEA_CBC_SHA`
  Cipher 07
  `TLS_RSA_WITH_NULL_MD5`
  Cipher 01
  `TLS_RSA_WITH_NULL_SHA`
  Cipher 02
  `TLS_RSA_WITH_NULL_SHA256`
  Cipher 3B
  `TLS_RSA_WITH_RC4_128_MD5`
  Cipher 04
  `TLS_RSA_WITH_RC4_128_SHA`
  Cipher 05
  `TLS_RSA_WITH_SEED_CBC_SHA`
  Cipher 96
  `TLS_SRP_SHA_DSS_WITH_3DES_EDE_CBC_SHA`
  Cipher C01C
  `TLS_SRP_SHA_DSS_WITH_AES_128_CBC_SHA`
  Cipher C01F
  `TLS_SRP_SHA_DSS_WITH_AES_256_CBC_SHA`
  Cipher C022
  `TLS_SRP_SHA_RSA_WITH_3DES_EDE_CBC_SHA`
  Cipher C01B
  `TLS_SRP_SHA_RSA_WITH_AES_128_CBC_SHA`
  Cipher C01E
  `TLS_SRP_SHA_RSA_WITH_AES_256_CBC_SHA`
  Cipher C021
  `TLS_SRP_SHA_WITH_3DES_EDE_CBC_SHA`
  Cipher C01A
  `TLS_SRP_SHA_WITH_AES_128_CBC_SHA`
  Cipher C01D
  `TLS_SRP_SHA_WITH_AES_256_CBC_SHA`
  Cipher C020

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAlg_bits()`
  Returns the number of algorithm bits.
  `Authentication`
  `getAu()`
  Returns the authentication algorithm.
  `Encryption`
  `getEnc()`
  Returns the encryption algorithm.
  `int`
  `getId()`
  Returns the cipher ID.
  `Set<String>`
  `getJsseNames()`
  Returns the JSSE names.
  `KeyExchange`
  `getKx()`
  Returns the key exchange algorithm.
  `EncryptionLevel`
  `getLevel()`
  Returns the encryption strength level.
  `MessageDigest`
  `getMac()`
  Returns the message digest algorithm.
  `String`
  `getOpenSSLAlias()`
  Returns the OpenSSL alias.
  `Set<String>`
  `getOpenSSLAltNames()`
  Returns the OpenSSL alternative names.
  `Protocol`
  `getProtocol()`
  Returns the protocol version.
  `int`
  `getStrength_bits()`
  Returns the number of strength bits.
  `boolean`
  `isExport()`
  Returns whether this is an export cipher.
  `boolean`
  `isFipsCompatible()`
  Returns whether this cipher is FIPS compatible.
  `static Cipher`
  `valueOf(int cipherId)`
  Lookup a cipher by its numeric ID.
  `static Cipher`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Cipher[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TLS_RSA_WITH_NULL_MD5

    public static final Cipher TLS_RSA_WITH_NULL_MD5
    Cipher 01

  - ### TLS_RSA_WITH_NULL_SHA

    public static final Cipher TLS_RSA_WITH_NULL_SHA
    Cipher 02

  - ### TLS_RSA_EXPORT_WITH_RC4_40_MD5

    public static final Cipher TLS_RSA_EXPORT_WITH_RC4_40_MD5
    Cipher 03

  - ### TLS_RSA_WITH_RC4_128_MD5

    public static final Cipher TLS_RSA_WITH_RC4_128_MD5
    Cipher 04

  - ### TLS_RSA_WITH_RC4_128_SHA

    public static final Cipher TLS_RSA_WITH_RC4_128_SHA
    Cipher 05

  - ### TLS_RSA_EXPORT_WITH_RC2_CBC_40_MD5

    public static final Cipher TLS_RSA_EXPORT_WITH_RC2_CBC_40_MD5
    Cipher 06

  - ### TLS_RSA_WITH_IDEA_CBC_SHA

    public static final Cipher TLS_RSA_WITH_IDEA_CBC_SHA
    Cipher 07

  - ### TLS_RSA_EXPORT_WITH_DES40_CBC_SHA

    public static final Cipher TLS_RSA_EXPORT_WITH_DES40_CBC_SHA
    Cipher 08

  - ### TLS_RSA_WITH_DES_CBC_SHA

    public static final Cipher TLS_RSA_WITH_DES_CBC_SHA
    Cipher 09

  - ### TLS_RSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_RSA_WITH_3DES_EDE_CBC_SHA
    Cipher 0A

  - ### TLS_DH_DSS_EXPORT_WITH_DES40_CBC_SHA

    public static final Cipher TLS_DH_DSS_EXPORT_WITH_DES40_CBC_SHA
    Cipher 0B

  - ### TLS_DH_DSS_WITH_DES_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_DES_CBC_SHA
    Cipher 0C

  - ### TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA
    Cipher 0D

  - ### TLS_DH_RSA_EXPORT_WITH_DES40_CBC_SHA

    public static final Cipher TLS_DH_RSA_EXPORT_WITH_DES40_CBC_SHA
    Cipher 0E

  - ### TLS_DH_RSA_WITH_DES_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_DES_CBC_SHA
    Cipher 0F

  - ### TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA
    Cipher 10

  - ### TLS_DHE_DSS_EXPORT_WITH_DES40_CBC_SHA

    public static final Cipher TLS_DHE_DSS_EXPORT_WITH_DES40_CBC_SHA
    Cipher 11

  - ### TLS_DHE_DSS_WITH_DES_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_DES_CBC_SHA
    Cipher 12

  - ### TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA
    Cipher 13

  - ### TLS_DHE_RSA_EXPORT_WITH_DES40_CBC_SHA

    public static final Cipher TLS_DHE_RSA_EXPORT_WITH_DES40_CBC_SHA
    Cipher 14

  - ### TLS_DHE_RSA_WITH_DES_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_DES_CBC_SHA
    Cipher 15

  - ### TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA
    Cipher 16

  - ### TLS_DH_anon_EXPORT_WITH_RC4_40_MD5

    public static final Cipher TLS_DH_anon_EXPORT_WITH_RC4_40_MD5
    Cipher 17

  - ### TLS_DH_anon_WITH_RC4_128_MD5

    public static final Cipher TLS_DH_anon_WITH_RC4_128_MD5
    Cipher 18

  - ### TLS_DH_anon_EXPORT_WITH_DES40_CBC_SHA

    public static final Cipher TLS_DH_anon_EXPORT_WITH_DES40_CBC_SHA
    Cipher 19

  - ### TLS_DH_anon_WITH_DES_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_DES_CBC_SHA
    Cipher 1A

  - ### TLS_DH_anon_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_3DES_EDE_CBC_SHA
    Cipher 1B

  - ### TLS_PSK_WITH_NULL_SHA

    public static final Cipher TLS_PSK_WITH_NULL_SHA
    Cipher 2C

  - ### TLS_DHE_PSK_WITH_NULL_SHA

    public static final Cipher TLS_DHE_PSK_WITH_NULL_SHA
    Cipher 2D

  - ### TLS_RSA_PSK_WITH_NULL_SHA

    public static final Cipher TLS_RSA_PSK_WITH_NULL_SHA
    Cipher 2E

  - ### TLS_RSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_RSA_WITH_AES_128_CBC_SHA
    Cipher 2F

  - ### TLS_DH_DSS_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_AES_128_CBC_SHA
    Cipher 30

  - ### TLS_DH_RSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_AES_128_CBC_SHA
    Cipher 31

  - ### TLS_DHE_DSS_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_AES_128_CBC_SHA
    Cipher 32

  - ### TLS_DHE_RSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_AES_128_CBC_SHA
    Cipher 33

  - ### TLS_DH_anon_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_AES_128_CBC_SHA
    Cipher 34

  - ### TLS_RSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_RSA_WITH_AES_256_CBC_SHA
    Cipher 35

  - ### TLS_DH_DSS_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_AES_256_CBC_SHA
    Cipher 36

  - ### TLS_DH_RSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_AES_256_CBC_SHA
    Cipher 37

  - ### TLS_DHE_DSS_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_AES_256_CBC_SHA
    Cipher 38

  - ### TLS_DHE_RSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_AES_256_CBC_SHA
    Cipher 39

  - ### TLS_DH_anon_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_AES_256_CBC_SHA
    Cipher 3A

  - ### TLS_RSA_WITH_NULL_SHA256

    public static final Cipher TLS_RSA_WITH_NULL_SHA256
    Cipher 3B

  - ### TLS_RSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_RSA_WITH_AES_128_CBC_SHA256
    Cipher 3C

  - ### TLS_RSA_WITH_AES_256_CBC_SHA256

    public static final Cipher TLS_RSA_WITH_AES_256_CBC_SHA256
    Cipher 3D

  - ### TLS_DH_DSS_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_DH_DSS_WITH_AES_128_CBC_SHA256
    Cipher 3E

  - ### TLS_DH_RSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_DH_RSA_WITH_AES_128_CBC_SHA256
    Cipher 3F

  - ### TLS_DHE_DSS_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_DHE_DSS_WITH_AES_128_CBC_SHA256
    Cipher 40

  - ### TLS_RSA_WITH_CAMELLIA_128_CBC_SHA

    public static final Cipher TLS_RSA_WITH_CAMELLIA_128_CBC_SHA
    Cipher 41

  - ### TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA
    Cipher 42

  - ### TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA
    Cipher 43

  - ### TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA
    Cipher 44

  - ### TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA
    Cipher 45

  - ### TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA
    Cipher 46

  - ### TLS_RSA_EXPORT1024_WITH_RC4_56_MD5

    public static final Cipher TLS_RSA_EXPORT1024_WITH_RC4_56_MD5
    Cipher 60

  - ### TLS_RSA_EXPORT1024_WITH_RC2_CBC_56_MD5

    public static final Cipher TLS_RSA_EXPORT1024_WITH_RC2_CBC_56_MD5
    Cipher 61

  - ### TLS_RSA_EXPORT1024_WITH_DES_CBC_SHA

    public static final Cipher TLS_RSA_EXPORT1024_WITH_DES_CBC_SHA
    Cipher 62

  - ### TLS_DHE_DSS_EXPORT1024_WITH_DES_CBC_SHA

    public static final Cipher TLS_DHE_DSS_EXPORT1024_WITH_DES_CBC_SHA
    Cipher 63

  - ### TLS_RSA_EXPORT1024_WITH_RC4_56_SHA

    public static final Cipher TLS_RSA_EXPORT1024_WITH_RC4_56_SHA
    Cipher 64

  - ### TLS_DHE_DSS_EXPORT1024_WITH_RC4_56_SHA

    public static final Cipher TLS_DHE_DSS_EXPORT1024_WITH_RC4_56_SHA
    Cipher 65

  - ### TLS_DHE_DSS_WITH_RC4_128_SHA

    public static final Cipher TLS_DHE_DSS_WITH_RC4_128_SHA
    Cipher 66

  - ### TLS_DHE_RSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_AES_128_CBC_SHA256
    Cipher 67

  - ### TLS_DH_DSS_WITH_AES_256_CBC_SHA256

    public static final Cipher TLS_DH_DSS_WITH_AES_256_CBC_SHA256
    Cipher 68

  - ### TLS_DH_RSA_WITH_AES_256_CBC_SHA256

    public static final Cipher TLS_DH_RSA_WITH_AES_256_CBC_SHA256
    Cipher 69

  - ### TLS_DHE_DSS_WITH_AES_256_CBC_SHA256

    public static final Cipher TLS_DHE_DSS_WITH_AES_256_CBC_SHA256
    Cipher 6A

  - ### TLS_DHE_RSA_WITH_AES_256_CBC_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_AES_256_CBC_SHA256
    Cipher 6B

  - ### TLS_DH_anon_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_DH_anon_WITH_AES_128_CBC_SHA256
    Cipher 6C

  - ### TLS_DH_anon_WITH_AES_256_CBC_SHA256

    public static final Cipher TLS_DH_anon_WITH_AES_256_CBC_SHA256
    Cipher 6D

  - ### TLS_RSA_WITH_CAMELLIA_256_CBC_SHA

    public static final Cipher TLS_RSA_WITH_CAMELLIA_256_CBC_SHA
    Cipher 84

  - ### TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA
    Cipher 85

  - ### TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA
    Cipher 86

  - ### TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA
    Cipher 87

  - ### TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA
    Cipher 88

  - ### TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA
    Cipher 89

  - ### TLS_PSK_WITH_RC4_128_SHA

    public static final Cipher TLS_PSK_WITH_RC4_128_SHA
    Cipher 8A

  - ### TLS_PSK_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_PSK_WITH_3DES_EDE_CBC_SHA
    Cipher 8B

  - ### TLS_PSK_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_PSK_WITH_AES_128_CBC_SHA
    Cipher 8C

  - ### TLS_PSK_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_PSK_WITH_AES_256_CBC_SHA
    Cipher 8D

  - ### TLS_DHE_PSK_WITH_RC4_128_SHA

    public static final Cipher TLS_DHE_PSK_WITH_RC4_128_SHA
    Cipher 8E

  - ### TLS_DHE_PSK_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_DHE_PSK_WITH_3DES_EDE_CBC_SHA
    Cipher 8F

  - ### TLS_DHE_PSK_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_DHE_PSK_WITH_AES_128_CBC_SHA
    Cipher 90

  - ### TLS_DHE_PSK_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_DHE_PSK_WITH_AES_256_CBC_SHA
    Cipher 91

  - ### TLS_RSA_PSK_WITH_RC4_128_SHA

    public static final Cipher TLS_RSA_PSK_WITH_RC4_128_SHA
    Cipher 92

  - ### TLS_RSA_PSK_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_RSA_PSK_WITH_3DES_EDE_CBC_SHA
    Cipher 93

  - ### TLS_RSA_PSK_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_RSA_PSK_WITH_AES_128_CBC_SHA
    Cipher 94

  - ### TLS_RSA_PSK_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_RSA_PSK_WITH_AES_256_CBC_SHA
    Cipher 95

  - ### TLS_RSA_WITH_SEED_CBC_SHA

    public static final Cipher TLS_RSA_WITH_SEED_CBC_SHA
    Cipher 96

  - ### TLS_DH_DSS_WITH_SEED_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_SEED_CBC_SHA
    Cipher 97

  - ### TLS_DH_RSA_WITH_SEED_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_SEED_CBC_SHA
    Cipher 98

  - ### TLS_DHE_DSS_WITH_SEED_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_SEED_CBC_SHA
    Cipher 99

  - ### TLS_DHE_RSA_WITH_SEED_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_SEED_CBC_SHA
    Cipher 9A

  - ### TLS_DH_anon_WITH_SEED_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_SEED_CBC_SHA
    Cipher 9B

  - ### TLS_RSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_RSA_WITH_AES_128_GCM_SHA256
    Cipher 9C

  - ### TLS_RSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_RSA_WITH_AES_256_GCM_SHA384
    Cipher 9D

  - ### TLS_DHE_RSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_AES_128_GCM_SHA256
    Cipher 9E

  - ### TLS_DHE_RSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_DHE_RSA_WITH_AES_256_GCM_SHA384
    Cipher 9F

  - ### TLS_DH_RSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_DH_RSA_WITH_AES_128_GCM_SHA256
    Cipher A0

  - ### TLS_DH_RSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_DH_RSA_WITH_AES_256_GCM_SHA384
    Cipher A1

  - ### TLS_DHE_DSS_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_DHE_DSS_WITH_AES_128_GCM_SHA256
    Cipher A2

  - ### TLS_DHE_DSS_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_DHE_DSS_WITH_AES_256_GCM_SHA384
    Cipher A3

  - ### TLS_DH_DSS_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_DH_DSS_WITH_AES_128_GCM_SHA256
    Cipher A4

  - ### TLS_DH_DSS_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_DH_DSS_WITH_AES_256_GCM_SHA384
    Cipher A5

  - ### TLS_DH_anon_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_DH_anon_WITH_AES_128_GCM_SHA256
    Cipher A6

  - ### TLS_DH_anon_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_DH_anon_WITH_AES_256_GCM_SHA384
    Cipher A7

  - ### TLS_PSK_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_PSK_WITH_AES_128_GCM_SHA256
    Cipher A8

  - ### TLS_PSK_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_PSK_WITH_AES_256_GCM_SHA384
    Cipher A9

  - ### TLS_DHE_PSK_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_DHE_PSK_WITH_AES_128_GCM_SHA256
    Cipher AA

  - ### TLS_DHE_PSK_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_DHE_PSK_WITH_AES_256_GCM_SHA384
    Cipher AB

  - ### TLS_RSA_PSK_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_RSA_PSK_WITH_AES_128_GCM_SHA256
    Cipher AC

  - ### TLS_RSA_PSK_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_RSA_PSK_WITH_AES_256_GCM_SHA384
    Cipher AD

  - ### TLS_PSK_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_PSK_WITH_AES_128_CBC_SHA256
    Cipher AE

  - ### TLS_PSK_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_PSK_WITH_AES_256_CBC_SHA384
    Cipher AF

  - ### TLS_PSK_WITH_NULL_SHA256

    public static final Cipher TLS_PSK_WITH_NULL_SHA256
    Cipher B0

  - ### TLS_PSK_WITH_NULL_SHA384

    public static final Cipher TLS_PSK_WITH_NULL_SHA384
    Cipher B1

  - ### TLS_DHE_PSK_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_DHE_PSK_WITH_AES_128_CBC_SHA256
    Cipher B2

  - ### TLS_DHE_PSK_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_DHE_PSK_WITH_AES_256_CBC_SHA384
    Cipher B3

  - ### TLS_DHE_PSK_WITH_NULL_SHA256

    public static final Cipher TLS_DHE_PSK_WITH_NULL_SHA256
    Cipher B4

  - ### TLS_DHE_PSK_WITH_NULL_SHA384

    public static final Cipher TLS_DHE_PSK_WITH_NULL_SHA384
    Cipher B5

  - ### TLS_RSA_PSK_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_RSA_PSK_WITH_AES_128_CBC_SHA256
    Cipher B6

  - ### TLS_RSA_PSK_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_RSA_PSK_WITH_AES_256_CBC_SHA384
    Cipher B7

  - ### TLS_RSA_PSK_WITH_NULL_SHA256

    public static final Cipher TLS_RSA_PSK_WITH_NULL_SHA256
    Cipher B8

  - ### TLS_RSA_PSK_WITH_NULL_SHA384

    public static final Cipher TLS_RSA_PSK_WITH_NULL_SHA384
    Cipher B9

  - ### TLS_RSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_RSA_WITH_CAMELLIA_128_CBC_SHA256
    Cipher BA

  - ### TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA256
    Cipher BB

  - ### TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA256
    Cipher BC

  - ### TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA256
    Cipher BD

  - ### TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA256
    Cipher BE

  - ### TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA256
    Cipher BF

  - ### TLS_RSA_WITH_CAMELLIA_256_CBC_SHA256

    public static final Cipher TLS_RSA_WITH_CAMELLIA_256_CBC_SHA256
    Cipher C0

  - ### TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA256

    public static final Cipher TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA256
    Cipher C1

  - ### TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA256

    public static final Cipher TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA256
    Cipher C2

  - ### TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA256

    public static final Cipher TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA256
    Cipher C3

  - ### TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA256
    Cipher C4

  - ### TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA256

    public static final Cipher TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA256
    Cipher C5

  - ### TLS_AES_128_GCM_SHA256

    public static final Cipher TLS_AES_128_GCM_SHA256
    Cipher 1301

  - ### TLS_AES_256_GCM_SHA384

    public static final Cipher TLS_AES_256_GCM_SHA384
    Cipher 1302

  - ### TLS_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_CHACHA20_POLY1305_SHA256
    Cipher 1303

  - ### TLS_AES_128_CCM_SHA256

    public static final Cipher TLS_AES_128_CCM_SHA256
    Cipher 1304

  - ### TLS_AES_128_CCM_8_SHA256

    public static final Cipher TLS_AES_128_CCM_8_SHA256
    Cipher 1305

  - ### TLS_ECDH_ECDSA_WITH_NULL_SHA

    public static final Cipher TLS_ECDH_ECDSA_WITH_NULL_SHA
    Cipher C001

  - ### TLS_ECDH_ECDSA_WITH_RC4_128_SHA

    public static final Cipher TLS_ECDH_ECDSA_WITH_RC4_128_SHA
    Cipher C002

  - ### TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA
    Cipher C003

  - ### TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA
    Cipher C004

  - ### TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA
    Cipher C005

  - ### TLS_ECDHE_ECDSA_WITH_NULL_SHA

    public static final Cipher TLS_ECDHE_ECDSA_WITH_NULL_SHA
    Cipher C006

  - ### TLS_ECDHE_ECDSA_WITH_RC4_128_SHA

    public static final Cipher TLS_ECDHE_ECDSA_WITH_RC4_128_SHA
    Cipher C007

  - ### TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA
    Cipher C008

  - ### TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA
    Cipher C009

  - ### TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA
    Cipher C00A

  - ### TLS_ECDH_RSA_WITH_NULL_SHA

    public static final Cipher TLS_ECDH_RSA_WITH_NULL_SHA
    Cipher C00B

  - ### TLS_ECDH_RSA_WITH_RC4_128_SHA

    public static final Cipher TLS_ECDH_RSA_WITH_RC4_128_SHA
    Cipher C00C

  - ### TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA
    Cipher C00D

  - ### TLS_ECDH_RSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_ECDH_RSA_WITH_AES_128_CBC_SHA
    Cipher C00E

  - ### TLS_ECDH_RSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_ECDH_RSA_WITH_AES_256_CBC_SHA
    Cipher C00F

  - ### TLS_ECDHE_RSA_WITH_NULL_SHA

    public static final Cipher TLS_ECDHE_RSA_WITH_NULL_SHA
    Cipher C010

  - ### TLS_ECDHE_RSA_WITH_RC4_128_SHA

    public static final Cipher TLS_ECDHE_RSA_WITH_RC4_128_SHA
    Cipher C011

  - ### TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA
    Cipher C012

  - ### TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA
    Cipher C013

  - ### TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA
    Cipher C014

  - ### TLS_ECDH_anon_WITH_NULL_SHA

    public static final Cipher TLS_ECDH_anon_WITH_NULL_SHA
    Cipher C015

  - ### TLS_ECDH_anon_WITH_RC4_128_SHA

    public static final Cipher TLS_ECDH_anon_WITH_RC4_128_SHA
    Cipher C016

  - ### TLS_ECDH_anon_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_ECDH_anon_WITH_3DES_EDE_CBC_SHA
    Cipher C017

  - ### TLS_ECDH_anon_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_ECDH_anon_WITH_AES_128_CBC_SHA
    Cipher C018

  - ### TLS_ECDH_anon_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_ECDH_anon_WITH_AES_256_CBC_SHA
    Cipher C019

  - ### TLS_SRP_SHA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_SRP_SHA_WITH_3DES_EDE_CBC_SHA
    Cipher C01A

  - ### TLS_SRP_SHA_RSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_SRP_SHA_RSA_WITH_3DES_EDE_CBC_SHA
    Cipher C01B

  - ### TLS_SRP_SHA_DSS_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_SRP_SHA_DSS_WITH_3DES_EDE_CBC_SHA
    Cipher C01C

  - ### TLS_SRP_SHA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_SRP_SHA_WITH_AES_128_CBC_SHA
    Cipher C01D

  - ### TLS_SRP_SHA_RSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_SRP_SHA_RSA_WITH_AES_128_CBC_SHA
    Cipher C01E

  - ### TLS_SRP_SHA_DSS_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_SRP_SHA_DSS_WITH_AES_128_CBC_SHA
    Cipher C01F

  - ### TLS_SRP_SHA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_SRP_SHA_WITH_AES_256_CBC_SHA
    Cipher C020

  - ### TLS_SRP_SHA_RSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_SRP_SHA_RSA_WITH_AES_256_CBC_SHA
    Cipher C021

  - ### TLS_SRP_SHA_DSS_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_SRP_SHA_DSS_WITH_AES_256_CBC_SHA
    Cipher C022

  - ### TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256
    Cipher C023

  - ### TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384
    Cipher C024

  - ### TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256
    Cipher C025

  - ### TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384
    Cipher C026

  - ### TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256
    Cipher C027

  - ### TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384
    Cipher C028

  - ### TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256
    Cipher C029

  - ### TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384
    Cipher C02A

  - ### TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256
    Cipher C02B

  - ### TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384
    Cipher C02C

  - ### TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256
    Cipher C02D

  - ### TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384
    Cipher C02E

  - ### TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256
    Cipher C02F

  - ### TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
    Cipher C030

  - ### TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256
    Cipher C031

  - ### TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384
    Cipher C032

  - ### TLS_ECDHE_PSK_WITH_RC4_128_SHA

    public static final Cipher TLS_ECDHE_PSK_WITH_RC4_128_SHA
    Cipher C033

  - ### TLS_ECDHE_PSK_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_ECDHE_PSK_WITH_3DES_EDE_CBC_SHA
    Cipher C034

  - ### TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA
    Cipher C035

  - ### TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA
    Cipher C036

  - ### TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA256
    Cipher suite

  - ### TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA384
    Cipher suite

  - ### TLS_ECDHE_PSK_WITH_NULL_SHA

    public static final Cipher TLS_ECDHE_PSK_WITH_NULL_SHA
    Cipher suite

  - ### TLS_ECDHE_PSK_WITH_NULL_SHA256

    public static final Cipher TLS_ECDHE_PSK_WITH_NULL_SHA256
    Cipher suite

  - ### TLS_ECDHE_PSK_WITH_NULL_SHA384

    public static final Cipher TLS_ECDHE_PSK_WITH_NULL_SHA384
    Cipher suite

  - ### TLS_RSA_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_RSA_WITH_ARIA_128_GCM_SHA256
    ARIA cipher suite

  - ### TLS_RSA_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_RSA_WITH_ARIA_256_GCM_SHA384
    ARIA cipher suite

  - ### TLS_DHE_RSA_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_ARIA_128_GCM_SHA256
    ARIA cipher suite

  - ### TLS_DHE_RSA_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_DHE_RSA_WITH_ARIA_256_GCM_SHA384
    ARIA cipher suite

  - ### TLS_DHE_DSS_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_DHE_DSS_WITH_ARIA_128_GCM_SHA256
    ARIA cipher suite

  - ### TLS_DHE_DSS_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_DHE_DSS_WITH_ARIA_256_GCM_SHA384
    ARIA cipher suite

  - ### TLS_ECDHE_ECDSA_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_ECDHE_ECDSA_WITH_ARIA_128_GCM_SHA256
    ARIA cipher suite

  - ### TLS_ECDHE_ECDSA_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_ECDHE_ECDSA_WITH_ARIA_256_GCM_SHA384
    ARIA cipher suite

  - ### TLS_ECDHE_RSA_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_ECDHE_RSA_WITH_ARIA_128_GCM_SHA256
    ARIA cipher suite

  - ### TLS_ECDHE_RSA_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_ECDHE_RSA_WITH_ARIA_256_GCM_SHA384
    ARIA cipher suite

  - ### TLS_PSK_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_PSK_WITH_ARIA_128_GCM_SHA256
    ARIA cipher suite

  - ### TLS_PSK_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_PSK_WITH_ARIA_256_GCM_SHA384
    ARIA cipher suite

  - ### TLS_DHE_PSK_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_DHE_PSK_WITH_ARIA_128_GCM_SHA256
    ARIA cipher suite

  - ### TLS_DHE_PSK_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_DHE_PSK_WITH_ARIA_256_GCM_SHA384
    ARIA cipher suite

  - ### TLS_RSA_PSK_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_RSA_PSK_WITH_ARIA_128_GCM_SHA256
    ARIA cipher suite

  - ### TLS_RSA_PSK_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_RSA_PSK_WITH_ARIA_256_GCM_SHA384
    ARIA cipher suite

  - ### TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_CBC_SHA256
    Cipher C072

  - ### TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_CBC_SHA384
    Cipher C073

  - ### TLS_ECDH_ECDSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_ECDH_ECDSA_WITH_CAMELLIA_128_CBC_SHA256
    Cipher C074

  - ### TLS_ECDH_ECDSA_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_ECDH_ECDSA_WITH_CAMELLIA_256_CBC_SHA384
    Cipher C075

  - ### TLS_ECDHE_RSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_ECDHE_RSA_WITH_CAMELLIA_128_CBC_SHA256
    Cipher C076

  - ### TLS_ECDHE_RSA_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_ECDHE_RSA_WITH_CAMELLIA_256_CBC_SHA384
    Cipher C077

  - ### TLS_ECDH_RSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_ECDH_RSA_WITH_CAMELLIA_128_CBC_SHA256
    Cipher C078

  - ### TLS_ECDH_RSA_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_ECDH_RSA_WITH_CAMELLIA_256_CBC_SHA384
    Cipher C079

  - ### TLS_PSK_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_PSK_WITH_CAMELLIA_128_CBC_SHA256
    Cipher C094

  - ### TLS_PSK_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_PSK_WITH_CAMELLIA_256_CBC_SHA384
    Cipher C095

  - ### TLS_DHE_PSK_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_DHE_PSK_WITH_CAMELLIA_128_CBC_SHA256
    Cipher C096

  - ### TLS_DHE_PSK_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_DHE_PSK_WITH_CAMELLIA_256_CBC_SHA384
    Cipher C097

  - ### TLS_RSA_PSK_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_RSA_PSK_WITH_CAMELLIA_128_CBC_SHA256
    Cipher C098

  - ### TLS_RSA_PSK_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_RSA_PSK_WITH_CAMELLIA_256_CBC_SHA384
    Cipher C099

  - ### TLS_ECDHE_PSK_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_ECDHE_PSK_WITH_CAMELLIA_128_CBC_SHA256
    Cipher C09A

  - ### TLS_ECDHE_PSK_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_ECDHE_PSK_WITH_CAMELLIA_256_CBC_SHA384
    Cipher C09B

  - ### TLS_RSA_WITH_AES_128_CCM

    public static final Cipher TLS_RSA_WITH_AES_128_CCM
    Cipher C09C

  - ### TLS_RSA_WITH_AES_256_CCM

    public static final Cipher TLS_RSA_WITH_AES_256_CCM
    Cipher C09D

  - ### TLS_DHE_RSA_WITH_AES_128_CCM

    public static final Cipher TLS_DHE_RSA_WITH_AES_128_CCM
    Cipher C09E

  - ### TLS_DHE_RSA_WITH_AES_256_CCM

    public static final Cipher TLS_DHE_RSA_WITH_AES_256_CCM
    Cipher C09F

  - ### TLS_RSA_WITH_AES_128_CCM_8

    public static final Cipher TLS_RSA_WITH_AES_128_CCM_8
    Cipher C0A0

  - ### TLS_RSA_WITH_AES_256_CCM_8

    public static final Cipher TLS_RSA_WITH_AES_256_CCM_8
    Cipher C0A1

  - ### TLS_DHE_RSA_WITH_AES_128_CCM_8

    public static final Cipher TLS_DHE_RSA_WITH_AES_128_CCM_8
    Cipher C0A2

  - ### TLS_DHE_RSA_WITH_AES_256_CCM_8

    public static final Cipher TLS_DHE_RSA_WITH_AES_256_CCM_8
    Cipher C0A3

  - ### TLS_PSK_WITH_AES_128_CCM

    public static final Cipher TLS_PSK_WITH_AES_128_CCM
    Cipher C0A4

  - ### TLS_PSK_WITH_AES_256_CCM

    public static final Cipher TLS_PSK_WITH_AES_256_CCM
    Cipher C0A5

  - ### TLS_DHE_PSK_WITH_AES_128_CCM

    public static final Cipher TLS_DHE_PSK_WITH_AES_128_CCM
    Cipher C0A6

  - ### TLS_DHE_PSK_WITH_AES_256_CCM

    public static final Cipher TLS_DHE_PSK_WITH_AES_256_CCM
    Cipher C0A7

  - ### TLS_PSK_WITH_AES_128_CCM_8

    public static final Cipher TLS_PSK_WITH_AES_128_CCM_8
    Cipher C0A8

  - ### TLS_PSK_WITH_AES_256_CCM_8

    public static final Cipher TLS_PSK_WITH_AES_256_CCM_8
    Cipher C0A9

  - ### TLS_PSK_DHE_WITH_AES_128_CCM_8

    public static final Cipher TLS_PSK_DHE_WITH_AES_128_CCM_8
    Cipher C0AA

  - ### TLS_PSK_DHE_WITH_AES_256_CCM_8

    public static final Cipher TLS_PSK_DHE_WITH_AES_256_CCM_8
    Cipher C0AB

  - ### TLS_ECDHE_ECDSA_WITH_AES_128_CCM

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_128_CCM
    Cipher C0AC

  - ### TLS_ECDHE_ECDSA_WITH_AES_256_CCM

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_256_CCM
    Cipher C0AD

  - ### TLS_ECDHE_ECDSA_WITH_AES_128_CCM_8

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_128_CCM_8
    Cipher C0AE

  - ### TLS_ECDHE_ECDSA_WITH_AES_256_CCM_8

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_256_CCM_8
    Cipher C0AF

  - ### TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256
    Draft: https://tools.ietf.org/html/draft-ietf-tls-chacha20-poly1305-04

  - ### TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256
    ChaCha20-Poly1305 cipher suite

  - ### TLS_DHE_RSA_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_CHACHA20_POLY1305_SHA256
    ChaCha20-Poly1305 cipher suite

  - ### TLS_PSK_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_PSK_WITH_CHACHA20_POLY1305_SHA256
    ChaCha20-Poly1305 cipher suite

  - ### TLS_ECDHE_PSK_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_ECDHE_PSK_WITH_CHACHA20_POLY1305_SHA256
    ChaCha20-Poly1305 cipher suite

  - ### TLS_DHE_PSK_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_DHE_PSK_WITH_CHACHA20_POLY1305_SHA256
    ChaCha20-Poly1305 cipher suite

  - ### TLS_RSA_PSK_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_RSA_PSK_WITH_CHACHA20_POLY1305_SHA256
    ChaCha20-Poly1305 cipher suite

  - ### SSL_CK_RC4_128_WITH_MD5

    public static final Cipher SSL_CK_RC4_128_WITH_MD5
    Cipher 0x010080 (SSLv2)

  - ### SSL2_RC4_128_EXPORT40_WITH_MD5

    public static final Cipher SSL2_RC4_128_EXPORT40_WITH_MD5
    Cipher 0x020080 (SSLv2)

  - ### SSL_CK_RC2_128_CBC_WITH_MD5

    public static final Cipher SSL_CK_RC2_128_CBC_WITH_MD5
    Cipher 0x030080 (SSLv2)

  - ### SSL_CK_RC2_128_CBC_EXPORT40_WITH_MD5

    public static final Cipher SSL_CK_RC2_128_CBC_EXPORT40_WITH_MD5
    Cipher 0x040080 (SSLv2)

  - ### SSL2_IDEA_128_CBC_WITH_MD5

    public static final Cipher SSL2_IDEA_128_CBC_WITH_MD5
    Cipher 0x050080 (SSLv2)

  - ### SSL2_DES_64_CBC_WITH_MD5

    public static final Cipher SSL2_DES_64_CBC_WITH_MD5
    Cipher 0x060040 (SSLv2)

  - ### SSL2_DES_192_EDE3_CBC_WITH_MD5

    public static final Cipher SSL2_DES_192_EDE3_CBC_WITH_MD5
    Cipher 0x0700C0 (SSLv2)

- ## Method Details

  - ### values

    public static Cipher[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Cipher valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getId

    public int getId()
    Returns the cipher ID.
    Returns:
      the cipher ID

  - ### getOpenSSLAlias

    public String getOpenSSLAlias()
    Returns the OpenSSL alias.
    Returns:
      the OpenSSL alias

  - ### getOpenSSLAltNames

    public Set<String> getOpenSSLAltNames()
    Returns the OpenSSL alternative names.
    Returns:
      the OpenSSL alternative names

  - ### getJsseNames

    public Set<String> getJsseNames()
    Returns the JSSE names.
    Returns:
      the JSSE names

  - ### getKx

    public KeyExchange getKx()
    Returns the key exchange algorithm.
    Returns:
      the key exchange algorithm

  - ### getAu

    public Authentication getAu()
    Returns the authentication algorithm.
    Returns:
      the authentication algorithm

  - ### getEnc

    public Encryption getEnc()
    Returns the encryption algorithm.
    Returns:
      the encryption algorithm

  - ### getMac

    public MessageDigest getMac()
    Returns the message digest algorithm.
    Returns:
      the message digest algorithm

  - ### getProtocol

    public Protocol getProtocol()
    Returns the protocol version.
    Returns:
      the protocol version

  - ### isExport

    public boolean isExport()
    Returns whether this is an export cipher.
    Returns:
      true if this is an export cipher

  - ### getLevel

    public EncryptionLevel getLevel()
    Returns the encryption strength level.
    Returns:
      the encryption strength level

  - ### isFipsCompatible

    public boolean isFipsCompatible()
    Returns whether this cipher is FIPS compatible.
    Returns:
      true if this cipher is FIPS compatible

  - ### getStrength_bits

    public int getStrength_bits()
    Returns the number of strength bits.
    Returns:
      the number of strength bits

  - ### getAlg_bits

    public int getAlg_bits()
    Returns the number of algorithm bits.
    Returns:
      the number of algorithm bits

  - ### valueOf

    public static Cipher valueOf(int cipherId)
    Lookup a cipher by its numeric ID.
    Parameters:
      `cipherId` - the numeric cipher ID
    Returns:
      the cipher, or `null` if not found